/**
 * @file file_integrity_check.h
 *
 * @brief This file contains function prototypes and data definitions that
 * helps to calculate file size and calculate file checksum
 */
#ifndef FILE_INTEGRITY_CHECK_H_
#define FILE_INTEGRITY_CHECK_H_
#include "common.h"

#ifndef FT_OBC
uint32_t file_integrity_check(char file_name[]);
long int findSize(char file_name[]);
uint32_t calc_checksum(char file_name[], uint32_t length);
#endif
uint32_t calc_checksum_bulkdata(uint8_t *data_buf,uint32_t length);

#endif /*FILE_INTEGRITY_CHECK_H_ */
